## org.eclipse.emf.ecore.util
Interface FeatureMap

All Superinterfaces:
  java.util.Collection<FeatureMap.Entry>, EList<FeatureMap.Entry>, java.lang.Iterable<FeatureMap.Entry>, java.util.List<FeatureMap.Entry>

All Known Subinterfaces:
  FeatureMap.Internal

All Known Implementing Classes:
  BasicFeatureMap, DelegatingFeatureMap, EStoreEObjectImpl.BasicEStoreFeatureMap, EStoreEObjectImpl.EStoreFeatureMap, FeatureMapUtil.FeatureFeatureMap

    public interface FeatureMap

extends EList<FeatureMap.Entry>

A list of entries where each entry consists of a feature and a single value of that feature's type.

Nested Class Summary
`static interface` `FeatureMap.Entry` A pair consisting of a feature and a single value of that feature's type.
`static interface` `FeatureMap.Internal`
`static interface` `FeatureMap.ValueListIterator<E>`

Method Summary
`boolean` `add(EStructuralFeature feature, java.lang.Object value)`
`void` `add(int index, EStructuralFeature feature, java.lang.Object value)`
`boolean` `addAll(EStructuralFeature feature, java.util.Collection<?> values)`
`boolean` `addAll(int index, EStructuralFeature feature, java.util.Collection<?> values)`
`java.lang.Object` `get(EStructuralFeature feature, boolean resolve)`
`EStructuralFeature` `getEStructuralFeature(int index)`
`java.lang.Object` `getValue(int index)`
`boolean` `isSet(EStructuralFeature feature)`

`

`<T> EList<T>`

`

`list(EStructuralFeature feature)`

`void` `set(EStructuralFeature feature, java.lang.Object object)`
`java.lang.Object` `setValue(int index, java.lang.Object value)`
`void` `unset(EStructuralFeature feature)`
`FeatureMap.ValueListIterator<java.lang.Object>` `valueListIterator()`
`FeatureMap.ValueListIterator<java.lang.Object>` `valueListIterator(int index)`

Methods inherited from interface org.eclipse.emf.common.util.EList
`move, move`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Method Detail

### valueListIterator

    FeatureMap.ValueListIterator<java.lang.Object> valueListIterator()

### valueListIterator

    FeatureMap.ValueListIterator<java.lang.Object> valueListIterator(int index)

### list

    <T> EList<T> list(EStructuralFeature feature)

### getEStructuralFeature

    EStructuralFeature getEStructuralFeature(int index)

### getValue

    java.lang.Object getValue(int index)

### setValue

    java.lang.Object setValue(int index,
                              java.lang.Object value)

### get

    java.lang.Object get(EStructuralFeature feature,
                         boolean resolve)

### set

    void set(EStructuralFeature feature,
             java.lang.Object object)

### isSet

    boolean isSet(EStructuralFeature feature)

### unset

    void unset(EStructuralFeature feature)

### add

    boolean add(EStructuralFeature feature,
                java.lang.Object value)

### add

    void add(int index,
             EStructuralFeature feature,
             java.lang.Object value)

### addAll

    boolean addAll(EStructuralFeature feature,
                   java.util.Collection<?> values)

### addAll

    boolean addAll(int index,
                   EStructuralFeature feature,
                   java.util.Collection<?> values)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.